rpms/i8kutils/devel i8kbuttons.init,1.2,1.3 i8kutils.spec,1.4,1.5

Matthias Saou (thias) fedora-extras-commits at redhat.com
Tue Nov 16 17:50:56 UTC 2004


Changeset from: thias

Update of /cvs/extras/rpms/i8kutils/devel
In directory cvs.fedora.redhat.com:/tmp/cvs-serv23750

Modified Files:
	i8kutils.spec 
Added Files:
	i8kbuttons.init 
Log Message:
Merge changes and bump release.



Index: i8kbuttons.init
===================================================================
RCS file: i8kbuttons.init
diff -N i8kbuttons.init
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ i8kbuttons.init	16 Nov 2004 17:50:53 -0000	1.3
@@ -0,0 +1,63 @@
+#!/bin/bash
+#
+# i8kbuttons       Make the multimedia buttons (volume up/down, mute)
+#                  on dell inspiron work
+#
+# chkconfig: 2345 10 90
+# description: Make the multimedia buttons (volume up/down, mute) on dell
+#              inspiron work
+#
+# ChangeLog: 2003/9/9 Jeremy Brand <jeremy at nirvani.net>
+# - Amount of 8 was quite dynamic, changed to 4.
+# - Also added PCM changes in addition to master volume.
+# 
+
+# Source function library.
+. /etc/init.d/functions
+
+prog=i8kbuttons
+aumix=/usr/bin/aumix
+amount=4
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+# Original
+# 	OPTIONS="--up '$aumix -v +$amount' --down '$aumix -v -$amount' --mute '$aumix -v 0'"
+	OPTIONS="--up '$aumix -v +$amount; $aumix -w +$amount' --down '$aumix -v -$amount; $aumix -w -$amount' --mute '$aumix -v 0; $aumix -w 0'"
+        echo -n $"Starting $prog: "
+	/sbin/modprobe i8k
+	/sbin/initlog $INITLOG_ARGS -c "$prog $OPTIONS" &
+	RETVAL=$?
+	if [ $RETVAL -eq 0 ]; then
+	    success
+	    touch /var/lock/subsys/$prog
+	else
+	    failure
+	fi
+	echo
+        ;;
+  stop)
+        echo -n $"Shutting down $prog: "
+	killproc $prog
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
+        ;;
+  status)
+	status $prog
+	RETVAL=$?
+	;;
+  restart|reload)
+	$0 stop
+	$0 start
+	RETVAL=$?
+	;;
+  *)
+        echo $"Usage: $0 {start|stop|restart|reload|status}"
+        exit 1
+esac
+
+exit $RETVAL
+


Index: i8kutils.spec
===================================================================
RCS file: /cvs/extras/rpms/i8kutils/devel/i8kutils.spec,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- i8kutils.spec	9 Nov 2004 02:47:24 -0000	1.4
+++ i8kutils.spec	16 Nov 2004 17:50:53 -0000	1.5
@@ -1,20 +1,26 @@
 # $Id$
 
-%define	gkrellmpluginver	2.1
+%define gkrellmpluginver 2.5
 
-Summary: Dell laptop (Inspiron 8000 and others) SMM BIOS support tools.
+Summary: Dell laptop (Inspiron 8000 and others) SMM BIOS support tools
 Name: i8kutils
-Version: 1.17
-Release: fr2
-Epoch: 1
+Version: 1.25
+Release: 2
 License: GPL
 Group: System Environment/Base
-Source0: http://people.debian.org/~dz/i8k/i8kutils-%{version}.tar.bz2
-Source1: http://www.coding-zone.com/i8krellm-%{gkrellmpluginver}.tar.gz
 URL: http://people.debian.org/~dz/i8k/
-BuildRoot: %{_tmppath}/%{name}-root
+Source0: http://people.debian.org/~dz/i8k/i8kutils_%{version}.tar.gz
+Source1: http://www.coding-zone.com/i8krellm-%{gkrellmpluginver}.tar.gz
+Source2: i8kbuttons.init
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 Requires: gkrellm >= 2.0.0
+Requires(post): /sbin/chkconfig
+Requires(preun): /sbin/chkconfig, /sbin/service
 BuildRequires: gkrellm-devel >= 2.0.0
+# Stock Red Hat / Fedora gkrellm-devel should require these
+BuildRequires: gtk2-devel, pkgconfig
+# This package is only relevant on Dell laptops, thus i386 only
+ExclusiveArch: i386
 
 %description
 This package contains a user-space programs for accessing the SMM BIOS of
@@ -26,65 +32,110 @@
 Note that you need the "Inspiron 8000" option compiled into your kernel
 (included in the main kernel tree since 2.4.14-pre8).
 
+
 %prep
-%setup -q -a 1
+%setup -a 1
+
 
 %build
-make %{?_smp_mflags}
+%{__make} %{?_smp_mflags}
 pushd i8krellm-%{gkrellmpluginver}
-	make %{?_smp_mflags} i8krellm2
+    make %{?_smp_mflags} i8krellm
 popd
 
+
 %install
-rm -rf %{buildroot}
+%{__rm} -rf %{buildroot}
 
-mkdir -p %{buildroot}%{_bindir}
-cp -a i8kbuttons i8kctl i8kmon i8kfan %{buildroot}%{_bindir}/
+%{__mkdir_p} %{buildroot}%{_bindir}
+%{__cp} -a i8kbuttons i8kctl i8kmon i8kfan %{buildroot}%{_bindir}/
 
-mkdir -p %{buildroot}%{_mandir}/man1
-cp -a *[a-z].1 %{buildroot}%{_mandir}/man1/
+%{__mkdir_p} %{buildroot}%{_mandir}/man1
+%{__cp} -a *[a-z].1 %{buildroot}%{_mandir}/man1/
 
-mkdir -p %{buildroot}%{_libdir}/gkrellm2/plugins/
+%{__mkdir_p} %{buildroot}%{_libdir}/gkrellm2/plugins/
 pushd i8krellm-%{gkrellmpluginver}
-	cp -a i8krellm2.so %{buildroot}%{_libdir}/gkrellm2/plugins/
+    %{__cp} -a i8krellm.so %{buildroot}%{_libdir}/gkrellm2/plugins/
 popd
 
+%{__install} -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/i8kbuttons
+
+
+%post
+/sbin/chkconfig --add i8kbuttons
+
+%preun
+if [ $1 -eq 0 ]; then
+    /sbin/service i8kbuttons stop >/dev/null 2>&1
+    /sbin/chkconfig --del i8kbuttons
+fi
+
+
 %clean
-rm -rf %{buildroot}
+%{__rm} -rf %{buildroot}
+
 
 %files
-%defattr(-, root, root)
+%defattr(-, root, root, 0755)
 %doc README.i8kutils i8kmon.conf
 %doc i8krellm-%{gkrellmpluginver}/AUTHORS i8krellm-%{gkrellmpluginver}/README
 %doc i8krellm-%{gkrellmpluginver}/Changelog
+%{_initrddir}/i8kbuttons
 %{_bindir}/*
 %{_libdir}/gkrellm2/plugins/*
 %{_mandir}/man1/*
 
+
 %changelog
-* Mon Oct 28 2002 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 1.25-2
+- Bump release to provide Extras upgrade path.
+
+* Fri Jul 23 2004 Matthias Saou <http://freshrpms.net/> 1.25-1
+- Make it ExclusiveArch i386 since relevance is only for some x86 Dell laptops.
+
+* Thu Apr 15 2004 Matthias Saou <http://freshrpms.net/> 1.25-1
+- Update to 1.25.
+
+* Sun Nov  2 2003 Matthias Saou <http://freshrpms.net/> 1.17-7
+- Rebuild for Fedora Core 1.
+- Update gkrellm plugin to 2.5, change in the plugin name.
+
+* Mon Sep 15 2003 Matthias Saou <http://freshrpms.net/>
+- Added the i8kbuttons init script contributed by Jeremy Brand.
+
+* Fri Aug 29 2003 Matthias Saou <http://freshrpms.net/>
+- Updated i8krellm to 2.4.
+
+* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
+- Rebuilt for Red Hat Linux 9.
+- Updated i8krellm to 2.3.
+
+* Mon Dec  9 2002 Matthias Saou <http://freshrpms.net/>
+- Updated i8krellm to 2.2.
+
+* Mon Oct 28 2002 Matthias Saou <http://freshrpms.net/>
 - Updated i8krellm to 2.1.
 
-* Tue Oct  8 2002 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Tue Oct  8 2002 Matthias Saou <http://freshrpms.net/>
 - Rebuilt for Red Hat Linux 8.0.
 - Update to 1.17.
 - Disabled the gkrellm plugin until it gets compatible with gkrellm2.
 
-* Thu Jun 27 2002 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Thu Jun 27 2002 Matthias Saou <http://freshrpms.net/>
 - Update to 1.13.
 
-* Thu May  2 2002 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Thu May  2 2002 Matthias Saou <http://freshrpms.net/>
 - Update to 1.11.
 - Rebuilt against Red Hat Linux 7.3.
 - Added the %{?_smp_mflags} expansion.
 
-* Mon Jan 21 2002 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Mon Jan 21 2002 Matthias Saou <http://freshrpms.net/>
 - Updated the gkrellm plugin to 1.3.
 
-* Sun Jan 13 2002 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Sun Jan 13 2002 Matthias Saou <http://freshrpms.net/>
 - Updated to 1.8 and gkrellm plugin to 1.2.
 - Fix for i8krellm docs that were getting installed with the man pages.
 
-* Tue Dec  4 2001 Matthias Saou <matthias.saou at est.une.marmotte.net>
+* Tue Dec  4 2001 Matthias Saou <http://freshrpms.net/>
 - Initial RPM release.
 




More information about the fedora-extras-commits mailing list